# Packmangroup: Multimedia &gt; xine
# Packmanpackagename: gxine
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>This is a GTK+ based GUI for the libxine video player library. It provides gxine, a media player that can play all the audio/video formats that libxine supports. Currently, this includes MPEG1/2, some AVI and Quicktime files, some network streaming methods and disc based media (VCD, SVCD, DVD).<br>A more complete list can be found on <a href="http://xinehq.de/">http://xinehq.de/</a></p><p>Most DVDs on the market today are play-protected by the Content Scrambling System (CSS). libxine does not provide any code to descramble those DVDs, because of legal uncertainties. If you still want to play those DVDs, you'll need a CSS decryption library like <a href="http://packman.links2linux.de/?action=122">libdvdcss</a> that is supported by libxine.</p>
# Packmanpackagedesc_de: <p>Dies ist eine GTK+ basierte GUI f&uuml;r die libxine Video Player Bibliothek. Sie stellt gxine, einen Media Player zur Verf&uuml;gung, welcher alle die Audio- und Video-Formate abspielen kann, die von der libxine Bibliothek unterst&uuml;tzt werden. Momentan beinhaltet dies MPEG 1/2, einige AVI und Quicktime Formate, einige Netzwerk-Streaming-Metoden und Disk-basierende Medien (VCD, SVCD, DVD).</p><p>Eine vollst&auml;ndige Liste kann unter <a href="http://xinehq.de/">http://xinehq.de/</a> eingesehen werden.</p><p>Die meisten erh&auml;ltlichen DVDs sind mit dem &quot;Content Scrambling System&quot; (CSS) technisch gesch&uuml;tzt. Die libxine bringt keine Funktionalit&auml;t mit, diese DVDs zu entschl&uuml;sseln, da dies in vielen L&auml;ndern illegal ist. Sollten Sie trotzdem solche DVDs abspielen wollen, ben&ouml;tigen Sie eine CSS Entschl&uuml;sselungsbibliothek wie die <a href="http://packman.links2linux.de/?action=122">libdvdcss</a>, welche von der libxine unterst&uuml;tzt wird.</p>

%define name      gxine
%define version	0.4.3
%define release   0.pm.0

%define major     1
%define libname   libxine%{major}
%define libvers   1

%define	ginstall install -c

Name:           %{name}
Summary:        GTK-based GUI for xine libraries
Summary(de):    GTK basierende grafische Oberfläche für die xine-Bibliotheken
Version:        %{version}
Release:        %{release}
Copyright:      GPL
Group:          Productivity/Multimedia/Video/Players
URL:            http://xinehq.de

Source0:        gxine-0.4.3.tar.bz2
Source1:        gxine.desktop
Source2:        gxine_16x16.png
Source3:        gxine_22x22.png
Source4:        gxine_32x32.png
Source5:        gxine_48x48.png

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
Requires:       %{libname} >= %{libvers}
BuildPreReq:    %{libname}-devel >= %{libvers}
BuildRoot:      %{_tmppath}/%{name}-buildroot
# Packmandepends: libxine1

%description
This is a GTK+ based GUI for the libxine video player library.
It provides gxine, a  media player that can play all the audio/video formats
that libxine supports. Currently, this includes MPEG1/2, some AVI and
Quicktime files, some network streaming methods and disc based media (VCD,
SVCD, DVD).
A more complete list can be found on http://xinehq.de/

Most DVDs on the market today are play-protected by the Content Scrambling
System (CSS). libxine does not provide any code to descramble those DVDs,
because of legal uncertainties. If you still want to play those DVDs, you'll
need a CSS decryption library like libdvdcss that is supported by libxine.

%description -l de
Dies ist eine GTK+ basierte GUI für die libxine Video Player Bibliothek.
Sie stellt gxine, einen Media Player zur Verfügung, welcher alle die Audio-
und Video-Formate abspielen kann, die von der libxine Bibliothek unterstützt
werden. Momentan beinhaltet dies MPEG 1/2, einige AVI und Quicktime Formate,
einige Netzwerk-Streaming-Metoden und Disk-basierende Medien (VCD, SVCD, DVD).

Eine vollständige Liste kann unter http://xinehq.de/ eingesehen werden.

Die meisten erhältlichen DVDs sind mit dem "Content Scrambling System" (CSS)
technisch geschützt. Die libxine bringt keine Funktionalität mit, diese
DVDs zu entschlüsseln, da dies in vielen Ländern illegal ist. Sollten Sie
trotzdem solche DVDs abspielen wollen, benötigen Sie eine CSS
Entschlüsselungsbibliothek wie die libdvdcss, welche von der libxine
unterstützt wird.

%prep
%setup -n %{name}-%{version}

%build
export CFLAGS="${RPM_OPT_FLAGS}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
   if [ ! -f mkinstalldirs ]; then
     cp %{_datadir}/automake-`rpm -q --queryformat '%{VERSION}' automake | cut -b 1-3`/mkinstalldirs .
   fi
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir}

%{__make}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{makeinstall}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_libdir}/browser-plugins
cd $RPM_BUILD_ROOT/%{_libdir}/browser-plugins/
%{__ln_s} ../gxine/gxineplugin.so .
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/applications
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/pixmaps
%{__install} -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/
%{__install} -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%{__install} -m 644 %SOURCE3 $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%{__install} -m 644 %SOURCE4 $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%{__install} -m 644 %SOURCE5 $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cd $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%{__ln_s} -s gxine_32x32.png gxine.png
cd -
%if %suse_version > 820
%suse_update_desktop_file -r gxine AudioVideo Player Video
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/gxin*
%{_libdir}/gxine/gxineplugin.*
%{_libdir}/browser-plugins/gxineplugin.*
%lang(de) %{_mandir}/de/man1/*
#%lang(fr) %{_mandir}/fr/man1/*
#%lang(es) %{_mandir}/es/man1/*
#%lang(pl) %{_mandir}/pl/man1/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/gxine/*
%{_datadir}/locale/*/LC_MESSAGES/gxine.mo
%{_datadir}/pixmaps/gxine*

%changelog
* Sat Apr 02 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.3
* Sat Apr 02 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.2
* Fri Dec 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.1
* Sun Dec 12 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.0
* Wed Apr 09 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3.4
* Sun Mar 30 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3.3
* Sun Mar 23 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3.2
* Sun Mar 02 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- little patch to compile on ppc
* Sat Mar 01 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to gxine 0.3
* Thu Dec 26 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to gxine 0.2.1
* Sat Dec 07 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to gxine 0.2
* Thu Dec 05 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial release
